Summary: System check utilitis package
Summary(ko): 시스템 체크를 위한 유틸리티 모음
Name: check-utils
Version: 3.0.6
Release: 3%{?dist}
Epoch: 100
License: BPL
Group: Applications/System
Source0: http://mirror.oops.org/pub/oops/check-utils/%{name}-%{version}.tar.bz2
Source1: httpWatch
Source2: httpd-monitor.bin
Source3: httpd-monitor.cron
Source4: httpd-monitor.sysconfig
Patch0: check-utils-log-timeformat.patch
Patch1: check-utils-human-sec.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: gettext ncurses-devel
Requires: ncurses-libs

%description
This package include checking utility for system situations.
chkbandwidth is check current bandwidth, chkdownload is checked http
download bandwidth and chkrpm is check between rpmdb and current file
list

%description -l ko
이 패키지는 시스템 상황을 체크하기 위한 유틸리티들이 포함이 되어 있다.
chkbandwidth 는 서버에서 사용하고 있는 실시간 네트워크 대역폭을 체크
할 수 있으며, chkdownload 는 HTTP 다운로드의 속도를 체크한다. chkrpm
은 rpm db 와 현재 설치 되어 있는 rpm 파일들과 rpm db 와 비교를 하여
파일의 변형 여부를 체크해 준다.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr \
	--bindir=%{_bindir} \
	--datadir=/usr/share \
	--mandir=/usr/share/man

%build
%{__make} -j %{_smp_mflags}

%install
%{__make} DESTDIR=%{buildroot} install

%{__mkdir_p} %{buildroot}%{_sysconfdir}/{cron.d,sysconfig}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_sbindir}

%{__install} -m 755 %{SOURCE1} %{buildroot}%{_bindir}/httpwatch.perl
%{__install} -m 755 %{SOURCE2} %{buildroot}%{_sbindir}/httpd-monitor
%{__install} -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/cron.d/httpd-monitor
%{__install} -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/httpd-monitor

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%config(noreplace) %{_sysconfdir}/cron.d/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%{_datadir}/locale/*
%{_mandir}/*
%doc README README.ko

%changelog
* Wed Jul 19 2017 JoungKyun.Kim <hostmaster@oops.org> 100:3.0.6-3%{?dist}
- [r158] use human readable execution time on chkdownload

* Mon Aug 22 2016 JoungKyun.Kim <hostmaster@oops.org> 100:3.0.6-2%{?dist}
- fixed wrong initfile initialzie on httpd-monitor
- support multiple init file on httpd-monitor

* Sun Feb 22 2015 JoungKyun.Kim <hostmaster@oops.org> 100:3.0.6-1%{?dist}
- fixed systemd

